/***************************************************************************
 *            book-fun.h
 *
 *  Sun Jul 10 19:14:25 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomek@paradox.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <gtk/gtk.h>
#include <sqlite3.h>

struct	BookStruc	{
	gint	id;
	gchar	title[128];
	gint	author;
	gint	genere;
	gint	publish_house;	
	
	gint	isbn;
	gint	publish_year;
	gint	pages;
	
	gchar	description[1024];
	
	gint	lended;
} book;

guint		save_mode;	/*	zmienna ustala zapis/aktualizacje bazy danych */

void		select_book_data			(gint		id);	

void		save_book					(void);

void		remove_book					(gint		book_id);

void		load_books_titles			(void);		

void		display_book_data			(void);

void		clear_book_display			(void);

void		create_add_dlg_data			(GtkWidget	*widget);

void		load_data_into_add_book_dlg	(GtkWidget	*widget);

void		update_book_data_from_dlg	(GtkWidget	*widget);

gboolean	check_book_data				(GtkWidget	*widget);
