/***************************************************************************
 *            utility-fun.c
 *
 *  Sun Jul 17 11:35:28 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomek@paradox.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <sqlite3.h>
#include <gtk/gtk.h>
#include <glib.h>
#include <glib/gprintf.h>
#include <stdio.h>
 
#include "utility-fun.h"
#include "db-fun.h"
#include "support.h"

/*
 *	Funkcja pobiera aktualna date z systemu i udostepnia ja programowi
 *	poprzez obiekt GDate - 'date'.
 */

void	get_current_date	(void)	{
GtkWidget		*calendar;
	
	calendar = (gpointer) gtk_calendar_new ();
	gtk_calendar_get_date (GTK_CALENDAR (calendar), &year, &month, &day);
	gtk_widget_destroy (calendar);
	month = month + 1;
	
	g_printf (_("Date: %d %d %d\n"), day, month, year);
}
